
Synnefo - Feature # 91

Status: Closed Priority: Low

Author: Constantinos Venetsanopoulos Category: old_synnefo

Created: 12/22/2010 Assignee: Christos Psaltis

Updated: 02/08/2013 Due date:

Subject: Scrolling στο list view

Description

Τα δύο panes στο list view θα scrollάρουν ανεξάρτητα και θα υπάρχει δυνατότητα ελέγχου από το πληκτρολόγιο. Η κίνηση θα γίνεται

με τα βελάκια και το check/uncheck με το space. Όταν βρίσκεσαι σε ένα pane θα μπορείς να επιλέξεις τα πάντα ταυτόχρονα με

Ctrl-A (γίνεται; ίσως το πιάνει ο browser). Το εκάστοτε επιλεγμένο μηχάνημα θα τονίζεται με ελαφρύ γκρι.

History

#1 - 01/07/2011 04:38 pm - Christos Psaltis

- Status changed from New to Feedback

Νομίζω ότι αυτό μπορεί να σπάσει σε μικρότερα τίκετ. Το πρώτο και το δεύτερο μπούλετ τα έχουμε ήδη καλύψει, το τρίτο το έχουμε σχεδόν

καλύψει (μπορείς να μετακινηθείς με το ταμπ αλλά δεν υπάρχει το χόβερ), ενώ το τέταρτο φαίνεται ότι το πιάνει ο browser, θέλει όμως ψάξιμο

ακόμα. Εάν συμφωνείτε και σεις θα κλείσω αυτό και θα ανοίξω 2 νέα (τρίτο και τέταρτο μπούλετ).

#2 - 01/07/2011 06:19 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

ok, το σπας όπως νομίζεις σε επιμέρους tickets

#3 - 01/07/2011 07:52 pm - Christos Psaltis

Constantinos Venetsanopoulos wrote:

ok, το σπας όπως νομίζεις σε επιμέρους tickets

Θα το αλλάξω λίγο και θα το αφήσω ανοιχτό προς το παρόν, μέχρι να δω τί ακριβώς μπορεί να γίνει

#4 - 01/14/2011 03:45 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Διορθώθηκαν τα προβλήματα, μπορεί να δοκιμαστεί προσθέτοντας μηχανήματα στο ui/views.py

#5 - 01/17/2011 11:15 am - Constantinos Venetsanopoulos

είναι οκ η λειτουργικότητα απλά 2 πράγματα:

1. το κουτί στο οποίο scrollaroun τα πάντα να τελειώνει πάνω στην μπλε διαχωριστική χωρίς κενό ενδιάμεσα και αντίστοιχα η scroll bar να πατάει
πάνω στην μπάρα.

2. τα εικονίδια να γίνουν λίγο πιο μικρά στο list view για να μήν κολλάνε μετα3ύ τους

#6 - 01/17/2011 11:16 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

#7 - 01/17/2011 02:21 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Διορθώθηκε. Τα scroll panes μεγαλώνουν αυτόματα μέχρι το pane με τα running να φτάσει το ύψος των 310 pixels και το terminated pane των 200.

#8 - 01/17/2011 03:47 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed

#9 - 02/08/2013 06:46 pm - Vangelis Koukis

- Category set to old_synnefo
